Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlassq

    java.lang.Object
      org.netlib.lapack.Dlassq

    public class Dlassq

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLASSQ  returns the values  scl  and  smsq  such that
     *
     *     ( scl**2 )*smsq = x( 1 )**2 +...+ x( n )**2 + ( scale**2 )*sumsq,

     *
     *  where  x( i ) = X( 1 + ( i - 1 )*INCX ). The value of  sumsq  is
     *  assumed to be non-negative and  scl  returns the value
     *
     *     scl = max( scale, abs( x( i ) ) ).
     *
     *  scale and sumsq must be supplied in SCALE and SUMSQ and
     *  scl and smsq are overwritten on SCALE and SUMSQ respectively.
     *
     *  The routine makes only one pass through the vector x.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of elements to be used from the vector X.
     *
     *  X       (input) DOUBLE PRECISION array, dimension (N)
     *          The vector for which a scaled sum of squares is computed.
     *             x( i )  = X( 1 + ( i - 1 )*INCX ), 1 <= i <= n.
     *
     *  INCX    (input) INTEGER
     *          The increment between successive values of the vector X.
     *          INCX > 0.
     *
     *  SCALE   (input/output) DOUBLE PRECISION
     *          On entry, the value  scale  in the equation above.
     *          On exit, SCALE is overwritten with  scl , the scaling factor

     *          for the sum of squares.
     *
     *  SUMSQ   (input/output) DOUBLE PRECISION
     *          On entry, the value  sumsq  in the equation above.
     *          On exit, SUMSQ is overwritten with  smsq , the basic sum of
     *          squares from which  scl  has been factored out.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Dlassq()`

Method Summary
`static void` | `dlassq(int n, double[] x, int _x_offset, int incx, doubleW scale, doubleW sumsq)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlassq

    public Dlassq()

Method Detail

### dlassq

    public static void dlassq(int n,
                              double[] x,
                              int _x_offset,
                              int incx,
                              doubleW scale,
                              doubleW sumsq)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD